<?php

/*
languages/EN.php
*/

/**
 *
 * @category        tool
 * @package         Outputfilter Dashboard
 * @version         1.6.3
 * @authors         Thomas "thorn" Hornik <thorn@nettest.thekk.de>, Christian M. Stefan (Stefek) <stefek@designthings.de>, Martin Hecht (mrbaseman) <mrbaseman@gmx.de>
 * @copyright       (c) 2009,2010 Thomas "thorn" Hornik, 2010-2023 Christian M. Stefan (Stefek), 2016-2023 Martin Hecht (mrbaseman)
 * @link            https://github.com/mrbaseman/outputfilter_dashboard
 * @link            https://addons.wbce.org/pages/addons.php?do=item&item=53
 * @link            https://forum.wbce.org/viewtopic.php?id=176
 * @license         GNU General Public License, Version 3
 * @platform        WBCE 1.x
 * @requirements    PHP 7.4 - 8.2
 *
 * This file is part of OutputFilter-Dashboard, a module for WBCE and Website Baker CMS.
 *
 * OutputFilter-Dashboard is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OutputFilter-Dashboard is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OutputFilter-Dashboard. If not, see <http://www.gnu.org/licenses/>.
 *
 **/

/*
 -----------------------------------------------------------------------------------------
  ENGLISH LANGUAGE FILE FOR THE  MODULE: Outputfilter Dashboard
 -----------------------------------------------------------------------------------------
*/

// English module description
$module_description  = 'Admin-Tool to manage OutputFilter';
$LANG['MOD_OPF']=array();

$LANG['MOD_OPF']['TXT_MODULE_TYPE_LAST']  = 'A <em>&quot;Module-Type (fist)&quot;</em> or <em>&quot;Module-Type&quot;</em> or <em>&quot;Module-Type (last)&quot;</em> filter will be applied to every displayed sections of the selected modules in module-tree below.';

$LANG['MOD_OPF']['TXT_MODULE_TREE'] = 'In the Module-tree below, select the modules to which the filter should be applied';

$LANG['MOD_OPF']['TXT_TYPE_LAST'] = 'A <em>&quot;Page-Type (first)&quot;</em> <em>&quot;Page-Type&quot;</em> or <em>&quot;Page-Type (last)&quot;</em> or <em>&quot;Page-Type (final)&quot;</em> Filter will be applied to every displayed page (including e.g. output from snippets and the template itself) as a whole.';

$LANG['MOD_OPF']['TXT_SUB_PAGES'] = 'Select or deselect Pages/Subpages below.<br />The filter will be applied to all selected pages along with all selected modules in the above &quot;module-tree&quot;';

$LANG['MOD_OPF']['TXT_FILTER_FUNC'] = 'Enter the filter-function below.';

$LANG['MOD_OPF']['TXT_DELETE_FILTER_X'] = 'Really delete filter "%s"?';

$LANG['MOD_OPF']['TXT_FILTER_CONF'] = 'Filter configuration';

$LANG['MOD_OPF']['TXT_FILTER_DESC'] = 'Filter Description';

$LANG['MOD_OPF']['TXT_FILTER_NAME'] = 'Name of Filter';

$LANG['MOD_OPF']['TXT_ACTIVE'] = 'active';

$LANG['MOD_OPF']['TXT_INACTIVE'] = 'inactive';

$LANG['MOD_OPF']['TXT_DESCRIPTION'] = 'Description';

$LANG['MOD_OPF']['TXT_FILTER_HELP'] = 'Help for this filter';

$LANG['MOD_OPF']['TXT_HELP'] = 'Help';

$LANG['MOD_OPF']['TXT_FILTER_OUTPUT_SETTINGS'] = 'Filter Output-Settings (Pages/Modules)';

$LANG['MOD_OPF']['TXT_TYPE'] = 'Type';

$LANG['MOD_OPF']['TXT_FILTER_MODULES'] = 'Apply filter to these section modules';

$LANG['MOD_OPF']['TXT_FILTER_PAGES'] = 'Apply filter to these pages';

$LANG['MOD_OPF']['TXT_FUNCTION'] = 'Filter-Function';

$LANG['MOD_OPF']['TXT_FUNC_NAME'] = 'Name of Function';

$LANG['MOD_OPF']['TXT_FILTER_FILE'] = 'Filter-File';

$LANG['MOD_OPF']['TXT_SAVE'] = 'Save';

$LANG['MOD_OPF']['TXT_SAVE_AND_CLOSE'] = 'Save and close';

$LANG['MOD_OPF']['TXT_EXIT'] = 'Exit';

$LANG['MOD_OPF']['TXT_CANCEL'] = 'Cancel';

$LANG['MOD_OPF']['TXT_OUTPUTFILTER'] = 'OutputFilter - CSS-Editor';

$LANG['MOD_OPF']['TXT_EDITCSS'] = 'Edit CSS';

$LANG['MOD_OPF']['TXT_EXPORT_FAILED'] = 'Export Failed';

$LANG['MOD_OPF']['TXT_EXPORT_SUCCESS'] = 'Export Successful';

$LANG['MOD_OPF']['TXT_CONVERT_FAILED'] = 'Convert Failed';

$LANG['MOD_OPF']['TXT_CONVERT_SUCCESS'] = 'Converted Successful';

$LANG['MOD_OPF']['TXT_OK'] = 'OK';

$LANG['MOD_OPF']['TXT_DOWNLOAD'] = 'Download';

$LANG['MOD_OPF']['TXT_DOWNLOAD_FAILED'] = 'Download Failed';

$LANG['MOD_OPF']['TXT_UPLOAD_SUCCESS'] = 'Upload Successful';

$LANG['MOD_OPF']['TXT_OUTPUTFILTER_DASHBOARD'] = 'OutputFilter Dashboard';

$LANG['MOD_OPF']['TXT_PATCH_COREFILES'] = 'You need to patch two core-files to make this AdminTool work. <a href = "%s">Please read documentation</a>';

$LANG['MOD_OPF']['TXT_ACTIVATE_JS'] = 'Note: To take advantage of all comfort features offered by this module please activate javascript.';

$LANG['MOD_OPF']['TXT_ADD_FILTER'] = 'Add a filter';

$LANG['MOD_OPF']['TXT_NEW_INLINEFILTER'] = 'Add new inline filter';

$LANG['MOD_OPF']['TXT_UPLOAD_FILTER'] = 'Upload filter';

$LANG['MOD_OPF']['TXT_UPLOAD_PLUGIN_FILTER'] = 'upload filter (plugin)';

$LANG['MOD_OPF']['TXT_HELP_BROWSER'] = 'Open help-browser';

$LANG['MOD_OPF']['TXT_ABOUT'] = 'About';

$LANG['MOD_OPF']['TXT_UPLOAD_FILTER_PLUGIN'] = 'Upload a filter plugin';

$LANG['MOD_OPF']['TXT_INSTALL_PLUGIN_FILTER'] = 'Install Plugin Filter';

$LANG['MOD_OPF']['TXT_UPLOAD'] = 'Upload';

$LANG['MOD_OPF']['TXT_ACTIONS'] = 'Actions';

$LANG['MOD_OPF']['TXT_FILTER_ACTIVE'] = 'Filter ACTIVE (deactivate filter on click)';

$LANG['MOD_OPF']['TXT_FILTER_INACTIVE'] = 'Filter INACTIVE (activate filter on click)';

$LANG['MOD_OPF']['TXT_EDIT_FILTER'] = 'Edit Filter';

$LANG['MOD_OPF']['TXT_PLUGIN_FILTER'] = 'plugin filter';

$LANG['MOD_OPF']['TXT_INLINE_FILTER'] = 'inline filter';

$LANG['MOD_OPF']['TXT_MODULE_EXTENSION_FILTER'] = 'module extension filter';

$LANG['MOD_OPF']['TXT_CONFIG_FILTER'] = 'Config Filter';

$LANG['MOD_OPF']['TXT_MOVE_UP'] = 'Move up';

$LANG['MOD_OPF']['TXT_MOVE_DOWN'] = 'Move down';

$LANG['MOD_OPF']['TXT_DELETE_FILTER'] = 'Delete Filter';

$LANG['MOD_OPF']['TXT_SURE_TO_DELETE'] = 'Are you sure you want to delete the filter \'<b>%s</b>\'?';

$LANG['MOD_OPF']['TXT_CONVERT_FILTER'] = 'Convert filter to plugin';

$LANG['MOD_OPF']['TXT_SURE_TO_CONVERT'] = 'Are you sure you want to to convert the following filter into a plugin filter<br /><b>%s</b>?';

$LANG['MOD_OPF']['TXT_CONVERT_PLUGIN'] = 'Convert filter to inline';

$LANG['MOD_OPF']['TXT_SURE_TO_INLINE'] = 'Are you sure you want to to convert the following plugin into an inline filter<br /><b>%s</b>?';

$LANG['MOD_OPF']['TXT_EXPORT_FILTER'] = 'Export filter';

$LANG['MOD_OPF']['TXT_VISIT_PROJECTS_WEBSITE'] = 'Visit projects website';

$LANG['MOD_OPF']['TXT_INSERT_NAME'] = 'Insert a name here';

$LANG['MOD_OPF']['TXT_INSERT_DESCRIPTION'] = 'Insert a description here';

$LANG['MOD_OPF']['TXT_MODULE_FIRST'] = 'Module (first)';

$LANG['MOD_OPF']['TXT_MODULE'] = 'Module';

$LANG['MOD_OPF']['TXT_MODULE_LAST'] = 'Module (last)';

$LANG['MOD_OPF']['TXT_PAGE_FIRST'] = 'Page (first)';

$LANG['MOD_OPF']['TXT_PAGE'] = 'Page';

$LANG['MOD_OPF']['TXT_PAGE_LAST'] = 'Page (last)';

$LANG['MOD_OPF']['TXT_PAGE_FINAL'] = 'Page (final)';

$LANG['MOD_OPF']['TXT_ALL_MODULES'] = 'All Modules';

$LANG['MOD_OPF']['TXT_SINGLE_PAGE'] = 'Single page';

$LANG['MOD_OPF']['TXT_PAGE_HIERARCHY'] = 'Page hierarchy';

$LANG['MOD_OPF']['TXT_SEARCH_RESULTS'] = 'Searchresults';

$LANG['MOD_OPF']['TXT_BACKEND'] = 'Backend';

$LANG['MOD_OPF']['TXT_ALL_PAGES'] = 'All pages';

$LANG['MOD_OPF']['TXT_EXPORT_FAILED_PLUGIN'] = 'Failed to export plugin: %s';

$LANG['MOD_OPF']['TXT_CONVERT_FAILED_PLUGIN'] = 'Failed to convert plugin: %s';

$LANG['MOD_OPF']['TXT_WRITE_DENIED'] = 'cannot write to directory %s';

$LANG['MOD_OPF']['TXT_NO_FILTER'] = 'Filter doesn\'t exist';

$LANG['MOD_OPF']['TXT_NO_EXPORT'] = 'can\'t export a module-filter';

$LANG['MOD_OPF']['TXT_NO_CONVERT'] = 'can\'t convert a module-filter';

$LANG['MOD_OPF']['TXT_NO_SUCH_DIR'] = 'directory doesn\'t exist';

$LANG['MOD_OPF']['TXT_WRITE_FAILED'] = 'failed to write file %s';

$LANG['MOD_OPF']['TXT_PLUGIN_EXPORTED'] = 'Plugin exported successfully';

$LANG['MOD_OPF']['TXT_FAILED_TO_UPLOAD'] = 'Failed to upload plugin: %s';

$LANG['MOD_OPF']['TXT_DIR_WRITE_FAILED'] = 'cannot write to plugin-directory';

$LANG['MOD_OPF']['TXT_UPLOAD_FAILED'] = 'upload failed';

$LANG['MOD_OPF']['TXT_NOT_A_FILTER'] = 'uploaded file is not an OutputFilter Plugin';

$LANG['MOD_OPF']['TXT_LOOKS_LIKE_MODULE'] = ' - it seems to be a module filter. Install it among the <a href=%s>Modules</a>.';

$LANG['MOD_OPF']['TXT_NEWER_V_ALREADY_INSTALLED'] = 'a newer version is already installed';
$LANG['MOD_OPF']['TXT_SAME_V_ALREADY_INSTALLED'] = 'this version is already installed';

$LANG['MOD_OPF']['TXT_UNZIP_FAILED'] = 'failed to unzip archive';

$LANG['MOD_OPF']['TXT_PLUGIN_UPLOAD_SUCCESS'] = 'Plugin uploaded successfully';

$LANG['MOD_OPF']['TXT_ERR_NO_UPLOAD'] = 'No file uploaded';

$LANG['MOD_OPF']['TXT_ERR_PHP_ERR'] = 'PHP error code: %d';

$LANG['MOD_OPF']['TXT_ERR_UPLOAD_SIZE'] = 'Uploaded file exceeds size limit %d';

$LANG['MOD_OPF']['TXT_ERR_UPLOAD_EXT'] = 'Uploaded file does not match extension %s';

$LANG['MOD_OPF']['TXT_ERR_UPLOAD_TYPE'] = 'Uploaded file does not match type %s';

$LANG['MOD_OPF']['TXT_ERR_SECURITY_BREACH'] = 'Terminated: %s Security breach!';

$LANG['MOD_OPF']['TXT_ERR_UPLOAD_FAILED'] = 'Failed to save uploaded file';
